For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETGet All Groups
      • POSTCreate Group
      • GETGet Group
      • POSTUpdate Group
      • DELDelete Group
      • POSTGenerate JWT Token
      • POSTAdd Entities
      • POSTRemove Entities
        • POSTLink Payees to Group
        • POSTHide Payees from Group
        • POSTLink Payors to Group
        • POSTHide Payors from Group
Logo
Sign inBook a demo
API ReferenceEntity GroupCounterparty

Hide Payors from Group

POST
https://api.mercoa.com/entityGroup/:entityGroupId/hidePayors
POST
/entityGroup/:entityGroupId/hidePayors
$curl -X POST https://api.mercoa.com/entityGroup/entg_8545a84e-a45f-41bf-bdf1-33b42a55812c/hidePayors \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "payors": [
> "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d"
> ]
>}'
Marks Payors as unsearchable by all entities in the group via Counterparty search. Invoices associated with these Payors will still be searchable via Invoice search.
Was this page helpful?
Previous

Search Group Users

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityGroupIdstringRequired
Entity Group ID or Entity Group ForeignID

Request

This endpoint expects an object.
payorslist of stringsRequired
List of payor entity IDs or foreign IDs to hide

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented